package com.sifang.modules.customer.excel;

import java.math.BigDecimal;

public class AccountDetailExcel {

    private String traderName;//代理商名称
    private BigDecimal bzjAmount;//实缴保证金
    private BigDecimal ykBzjAmount;//历史实缴保证金数据
    private BigDecimal totalOne;//合计 实缴保证金 bzjAmount + 历史实缴保证金数据 ykBzjAmount
    private BigDecimal bondAmountLimit;//保证金额度
    private BigDecimal ykTklTotalCapacity;//历史阶段踏勘量
    private BigDecimal deliverTotalAmount;//已发货
    private BigDecimal ykDeliverTotalCapacity;//历史已发货数据
    private BigDecimal totalTwo;//合计 已发货 deliverTotalAmount + 历史已发货数据 ykDeliverTotalCapacity
    private BigDecimal  yazTotalCapacity;//已安装
    private BigDecimal ykYazTotalCapacity;//历史已安装数据
    private BigDecimal totalThree ;//合计 已安装 yazTotalCapacity + 历史已安装数据 ykYazTotalCapacity
    private BigDecimal ybwTotalCapacity;//已并网
    private BigDecimal ykYbwTotalCapacity;//历史已并网数据
    private BigDecimal totalFour;//合计 已并网 ybwTotalCapacity + 历史已并网数据 ykYbwTotalCapacity

    public String getTraderName() {
        return traderName;
    }

    public void setTraderName(String traderName) {
        this.traderName = traderName;
    }

    public BigDecimal getBzjAmount() {
        return bzjAmount;
    }

    public void setBzjAmount(BigDecimal bzjAmount) {
        this.bzjAmount = bzjAmount;
    }

    public BigDecimal getYkBzjAmount() {
        return ykBzjAmount;
    }

    public void setYkBzjAmount(BigDecimal ykBzjAmount) {
        this.ykBzjAmount = ykBzjAmount;
    }

    public BigDecimal getTotalOne() {
        return totalOne;
    }

    public void setTotalOne(BigDecimal totalOne) {
        this.totalOne = totalOne;
    }

    public BigDecimal getBondAmountLimit() {
        return bondAmountLimit;
    }

    public void setBondAmountLimit(BigDecimal bondAmountLimit) {
        this.bondAmountLimit = bondAmountLimit;
    }

    public BigDecimal getYkTklTotalCapacity() {
        return ykTklTotalCapacity;
    }

    public void setYkTklTotalCapacity(BigDecimal ykTklTotalCapacity) {
        this.ykTklTotalCapacity = ykTklTotalCapacity;
    }

    public BigDecimal getDeliverTotalAmount() {
        return deliverTotalAmount;
    }

    public void setDeliverTotalAmount(BigDecimal deliverTotalAmount) {
        this.deliverTotalAmount = deliverTotalAmount;
    }

    public BigDecimal getYkDeliverTotalCapacity() {
        return ykDeliverTotalCapacity;
    }

    public void setYkDeliverTotalCapacity(BigDecimal ykDeliverTotalCapacity) {
        this.ykDeliverTotalCapacity = ykDeliverTotalCapacity;
    }

    public BigDecimal getTotalTwo() {
        return totalTwo;
    }

    public void setTotalTwo(BigDecimal totalTwo) {
        this.totalTwo = totalTwo;
    }

    public BigDecimal getYazTotalCapacity() {
        return yazTotalCapacity;
    }

    public void setYazTotalCapacity(BigDecimal yazTotalCapacity) {
        this.yazTotalCapacity = yazTotalCapacity;
    }

    public BigDecimal getYkYazTotalCapacity() {
        return ykYazTotalCapacity;
    }

    public void setYkYazTotalCapacity(BigDecimal ykYazTotalCapacity) {
        this.ykYazTotalCapacity = ykYazTotalCapacity;
    }

    public BigDecimal getTotalThree() {
        return totalThree;
    }

    public void setTotalThree(BigDecimal totalThree) {
        this.totalThree = totalThree;
    }

    public BigDecimal getYbwTotalCapacity() {
        return ybwTotalCapacity;
    }

    public void setYbwTotalCapacity(BigDecimal ybwTotalCapacity) {
        this.ybwTotalCapacity = ybwTotalCapacity;
    }

    public BigDecimal getYkYbwTotalCapacity() {
        return ykYbwTotalCapacity;
    }

    public void setYkYbwTotalCapacity(BigDecimal ykYbwTotalCapacity) {
        this.ykYbwTotalCapacity = ykYbwTotalCapacity;
    }

    public BigDecimal getTotalFour() {
        return totalFour;
    }

    public void setTotalFour(BigDecimal totalFour) {
        this.totalFour = totalFour;
    }
}
